﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ConverterDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        ObservableCollection<Model> collection;
        public List<Dictionary<string, string>> List;
        Dictionary<string, string> dict;

        public ViewModel()
        {
            collection = new ObservableCollection<Model>();

            List = new List<Dictionary<string, string>>();
            List = GetItems();

            foreach(Dictionary<string,string> value in List)
            {
                collection.Add(new Model() { Val = value });
            }
        }

        private List<Dictionary<string, string>> GetItems()
        {
            List<Dictionary<string, string>> list1 = new List<Dictionary<string, string>>();
            dict = new Dictionary<string, string>();
            dict.Add("Name1",  "5");
            dict.Add("Name2", "6.9");
            dict.Add("Name3", "2.5");
            dict.Add("Name4", "3.7");
            dict.Add("Name5", "4.8");
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("Name1", "4.9");
            dict.Add("Name2", "3.5");
            dict.Add("Name3", "1.8");
            dict.Add("Name4", "7.4");
            dict.Add("Name5", "3.8");
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("Name1", "1.7");
            dict.Add("Name2", "4.1");
            dict.Add("Name3", "6.3");
            dict.Add("Name4", "5.9");
            dict.Add("Name5", "2.8");
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("Name1", "5");
            dict.Add("Name2", "7.8");
            dict.Add("Name3", "1.8");
            dict.Add("Name4", "2.1");
            dict.Add("Name5", "4.8");
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("Name1", "3.7");
            dict.Add("Name2", "4.2");
            dict.Add("Name3", "5.1");
            dict.Add("Name4", "3.4");
            dict.Add("Name5", "1.8");
            list1.Add(dict);

            return list1;

        }

        public ObservableCollection<Model> Collection
        {
            get
            {
                return collection;
            }
            set
            {
                collection = value;
                RaisePropertyChanged("Collection");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string name)
        {
            if(PropertyChanged != null)
                this.PropertyChanged(this,new PropertyChangedEventArgs(name));
        }

    }
}
