﻿using System;
using Xamarin.Forms;
using System.Globalization;

namespace ConverterDemo.Converters
{
    public class GridCellBackgroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string colName = parameter.ToString();

            foreach (object[] objArr in App.GridValuesList)
            {
                string columnName = objArr[0].ToString();
                decimal min = (decimal)objArr[1];
                decimal max = (decimal)objArr[2];

                if (colName == columnName && System.Convert.ToDecimal(value) == min)
                {
                    return Color.FromRgb(255, 160, 122);
                }
                else if (colName == columnName && System.Convert.ToDecimal(value) == max)
                {
                    return Color.FromRgb(173, 255, 47);
                }
                else
                {
                    return Color.Default;
                }
            }

            return Color.Default;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}